> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saintticketstatus

> This SoList provider generates the ticket status list for the Saint criteria. This is a simple, hard-coded list, special for this context

## "saintticketstatus" MDO List

This SoList provider generates the ticket status list for the Saint criteria. This is a simple, hard-coded list, special for this context

Implemented by the <see cref="T:SuperOffice.CRM.ArchiveLists.SaintTicketStatusProvider">SaintTicketStatusProvider</see> class.
The name of the MDO list is 'saintticketstatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saintticketstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saintticketstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| -1 | All  |           |           |
| 1  | Open |           |           |

## Related MDO Lists

* "saintticketstatusheadings"
* "saintticketstatusheadingswithallitem"
* "saintticketstatusheadingswithallitemwithnoselection"
* "saintticketstatusheadingswithnoselection"
* "saintticketstatuswithallitem"
* "saintticketstatuswithallitemwithnoselection"
* "saintticketstatuswithnoselection"


## Related topics

- [SimpleProject](/en/api/archive-providers/reference/simpleproject.md)
- [ContactProjects](/en/api/archive-providers/reference/contactprojects.md)
- [FreetextProject](/en/api/archive-providers/reference/freetextproject.md)
- [PersonProjects](/en/api/archive-providers/reference/personprojects.md)
- [ProjectMember](/en/api/archive-providers/reference/projectmember.md)
- [LinksProject](/en/api/archive-providers/reference/linksproject.md)
